jQuery(function($){

	
	$("#establecerEntidadPrincipal").bind("click",function(event){
		establecerEntidadPrincipal();
	});
	
	$("#Entidad").rup_table({	
		url: $.rup.CTX_PATH + "entidades",
		colNames: [
			"",
			$.rup.i18n.app.campos_tabla_entidades["izena"],
			$.rup.i18n.app.campos_tabla_entidades["direccion"],
			$.rup.i18n.app.campos_tabla_entidades["email"],
			$.rup.i18n.app.campos_tabla_entidades["tfno"]
		],
		colModel: [
			{ 	name: "codentidad",
				index: "CODENTIDAD",
				align: "center",
				width: 40,
				hidden: false,
				sortable: false,
				formatter: crearRadio
			},
			{ 	name: "desentidad",
				index: "DESENTIDAD",
				align: "left",
				width: 280,
				hidden: false,
				sortable: true
			},
			{ 	name: "direccioncompleta",
				index: "DIRECCION",
				align: "left",
				width: 420,
				hidden: false,
				sortable: true
			},
			{ 	name: "email",
				index: "EMAIL",
				align: "left",
				width: 250,
				hidden: false,
				sortable: true
			},
			{ 	name: "tfno",
				index: "TFNO",
				align: "left",
				width: 120,
				hidden: false,
				sortable: true
			}
        ],

        model:"Entidades",
        usePlugins:[
        	"feedback",
			"toolbar",
			"responsive"
         	],
		primaryKey: "codentidad",
		sortname: "CODENTIDAD",
		sortorder: "ASC",
		loadOnStartUp: true,
		feedback:{
			config:{
				block: false
			}
		},
		core:{
	    	showOperations:{
	    		"clone": false
	    	}
    	},
        formEdit:{
        	detailForm: "#Entidad_detail_div"
        },
        toolbar:{
			showOperations:{
				//eliminar:false
			},
			buttons:[
				]
			 
    	},onSelectRow:function(id){
    		var nombre="codentidades_"+id;
    		$("input[id='"+nombre+"'").attr('checked',true);
    	}
	});
	
	
	function crearRadio(cellval, el, rowData){
		 var html = "";	
		 html += '<input type="radio" id="codentidades_' + rowData.codentidad + '" name="codentidades" value="'+rowData.codentidad+'" />';
		return html;
	 }
	
	 
	 function establecerEntidadPrincipal(){
		 var codentidadprincipal = $('input:radio[id^=codentidades]:checked').val();
		 if(codentidadprincipal!==undefined){
			 $.rup_messages("msgConfirm", {
					message: $.rup.i18n.app.campos_tabla_entidades.establecerEntidadPrincipal,
					title: $.rup.i18n.app.campos_tabla_entidades.establecerEntidadPrincipalTitulo,
					OKFunction : function () {
						$.rup_ajax({
							url : $.rup.CTX_PATH + "entidades/establecerEntidadPrincipal",
							type : "POST",
							async : false,
							data : JSON.stringify(codentidadprincipal),
							contentType : "application/json",
							success : function(respuesta) {
								
								$(location).attr('href',CONTEXT_PATH+"/inicio/entrada");
								
							},
							error : function(respuesta) {
								throw respuesta.responseText;
							}
						});
					}
			});
			 
		 }else{
			 $("#Entidad_feedback").rup_feedback("set", $.rup.i18n.app.campos_tabla_tecnicos_entidad.noEntidadSeleccionada, "error");
		 }
		
	 }
	 
	//Sirve para ocultar el bloque de los datos del técnico cuando se accede a la pantalla de detalle en modo alta
	//No se puede modificar el tipo de entidad
	 
	 $("#Entidad").on("jqGridAddEditAfterFillData", function(event, $form, oper){
			
			
	});
	 
	 
		
	$("#Entidad").on("jqGridAddEditAfterFillData", function(event, $form, oper){
            
     });
	
	 
	$("#Entidad").on("jqGridAddEditAfterSubmit", function(event, $form, objeto){
	});
	
	$("#Entidad_toolbar").css("display","none");
	 
});